package be.iminds.ilabt.jfed.experimenter_gui.slice.events;

import be.iminds.ilabt.jfed.experiment.Experiment;
import be.iminds.ilabt.jfed.rspec.model.javafx_impl.FXRspecNode;

/**
 * User: twalcari
 * Date: 8/24/2016
 * Time: 17:45
 */
public class SCPEvent {
    private final Experiment experiment;
    private final FXRspecNode node;
    private final boolean upload;
    private final String from;
    private final String to;

    public SCPEvent(Experiment experiment, FXRspecNode node, boolean upload, String from, String to) {
        this.experiment = experiment;
        this.node = node;
        this.upload = upload;
        this.from = from;
        this.to = to;
    }

    public Experiment getExperiment() {
        return experiment;
    }

    public FXRspecNode getNode() {
        return node;
    }

    public boolean isUpload() {
        return upload;
    }

    public String getFrom() {
        return from;
    }

    public String getTo() {
        return to;
    }
}
